We present for the first time a general theory of error correction for permutation invariant (PI) codes. Using representation theory of the symmetric group we construct efficient algorithms that can correct any correctible error on any PI code. These algorithms involve measurements of total angular momentum, quantum Schur transforms or logical state teleportations, and geometric phase gates. For erasure errors, or more generally deletion errors, on certain PI codes, we give a simpler quantum error correction algorithm.
Comments
15 pages, 2 sides, split from the QEC part of 2212.06285v4, and improved with new algorithms
We present for the first time a general theory of error correction for permutation invariant (PI) codes. Using representation theory of the symmetric group we construct efficient algorithms that can correct any correctible error on any PI code. These algorithms involve measurements of total angular momentum, quantum Schur transforms or logical state teleportations, and geometric phase gates. For erasure errors, or more generally deletion errors, on certain PI codes, we give a simpler quantum error correction algorithm.
We investigate Permutation-Invariant (PI) quantum error-correcting codes encoding a logical qudit of dimension dL in PI states using physical qudits of dimension dP. We extend the Knill--Laflamme (KL) conditions for d−1 deletion errors from qubits to qudits and investigate numerically both qubit (dL=dP=2) and qudit (dL>2 or dP>2) PI codes. We analyze the scaling of the block length n in terms of the code distance d, and compare to existing families of PI codes due to Ouyang, Aydin--Alekseyev--Barg (AAB) and Pollatsek--Ruskai (PR). Our three main findings are: (i) We conjecture that qubit PI codes correcting up to d−1 deletion errors have block length n(d)≥(3d2+1)/4, which implies an upper bound d≤12n−3/3 on their code distance, and that PR codes can saturate this bound. (ii) For qudit PI codes encoding a single qudit we numerically observe that increasing dP results in n monotonically decreasing and approaching the quantum Singleton bound n(d)≥2d−1. (iii) We propose a semi-analytic extension of the qubit AAB construction to qudits that finds explicit solutions by solving a linear program. Our results therefore provide key insights into lower bounds on the block length scaling of both qubit and qudit PI codes, and demonstrate the benefit of increased physical local dimension in the context of PI codes.
Quantum synchronisation errors are a class of errors that change the number of qubits in a quantum system. The classical error correction of synchronisation errors has been well-studied, including an insertion-deletion equivalence more than a half-century ago, but little progress has been made towards the quantum counterpart since the birth of quantum error correction. We address the longstanding problem of a quantum insertion-deletion equivalence on permutation-invariant codes, detailing the conditions under which such codes are t-insertion error-correctable. We extend these conditions to quantum insertion-deletion errors, formulating a more restrictive set of conditions under which permutation-invariant codes are (t,s)-insdel error-correctable. For completeness, we extend our approach to qudit errors on qudit permutation-invariant codes. Our work resolves many of the outstanding questions regarding the quantum error correction of synchronisation errors.
We investigate Permutation-Invariant (PI) quantum error-correcting codes encoding a logical qudit of dimension dL in PI states using physical qudits of dimension dP. We extend the Knill--Laflamme (KL) conditions for d−1 deletion errors from qubits to qudits and investigate numerically both qubit (dL=dP=2) and qudit (dL>2 or dP>2) PI codes. We analyze the scaling of the block length n in terms of the code distance d, and compare to existing families of PI codes due to Ouyang, Aydin--Alekseyev--Barg (AAB) and Pollatsek--Ruskai (PR). Our three main findings are: (i) We conjecture that qubit PI codes correcting up to d−1 deletion errors have block length n(d)≥(3d2+1)/4, which implies an upper bound d≤12n−3/3 on their code distance, and that PR codes can saturate this bound. (ii) For qudit PI codes encoding a single qudit we numerically observe that increasing dP results in n monotonically decreasing and approaching the quantum Singleton bound n(d)≥2d−1. (iii) We propose a semi-analytic extension of the qubit AAB construction to qudits that finds explicit solutions by solving a linear program. Our results therefore provide key insights into lower bounds on the block length scaling of both qubit and qudit PI codes, and demonstrate the benefit of increased physical local dimension in the context of PI codes.
Quantum Error Recovery (QER) uses knowledge of the error channel acting on a quantum system to find optimal recovery maps. The scheme restores the uncorrupted state with a fidelity exceeding that achieved by noise parameter independent quantum error correction. We use a generic coherent QER map implemented with a quantum circuit acting on the system together with ancillary qubits to recover quantum information stored in permutation invariant (PI) codes. PI codes admit tunable parameters to suit the noise model and benefit from simple recovery operation circuits with reduced addressability requirements, unlike stabilizer codes. We showcase the method by modeling QER in PI codes after collective and local symmetric correlated amplitude-damping (AD) noise, a non-Pauli noise process for which stabilizer codes often require additional overhead. We also propose a new PI code family called CAD codes with explicit examples on 4 and 9 qubits for global symmetric AD errors. We show that CAD9 (supported on 9 qubits) code beats many existing codes by more than one order of magnitude. For the CAD4 code, which perfectly corrects 1 global symmetric AD error, the compiled recovery circuit consists of 10 system and system-ancilla gates which can be realized from linear geometric phase gates. Our work provides a direct path from optimized recovery maps to experimentally implementable, low-overhead protocols.
Quantum deletions, which are harder to correct than erasure errors, occur in many realistic settings. It is therefore pertinent to develop quantum coding schemes for quantum deletion channels. To date, not much is known about which explicit quantum error correction codes can combat quantum deletions. We note that any permutation-invariant quantum code that has a distance oft+1can correcttquantum deletions for any positive integertin both the qubit and the qudit setting. Leveraging on coding properties of permutation-invariant quantum codes under erasure errors, we derive corresponding coding bounds for permutation-invariant quantum codes under quantum deletions. We focus our attention on a specific family ofN-qubit permutation-invariant quantum codes, which we call shifted gnu codes. The main result of this work is that their encoding and decoding algorithms can be performed inO(N)andO(N2).